%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.01-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Low-Saxon
%define languagecode nds
%define lc_ctype nds_DE

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.01.0
Release:       %mkrel 3
Group:         System/Internationalization
Source:        http://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides: spell-%{languagecode}

BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

%makeinstall_std

chmod 644 Copyright README* 

# if there is isn't a qwertz.kbd provided by aspell, create it
if [ ! -r ${RPM_BUILD_ROOT}/%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd \
	-a ! -r /%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd ]
then
	cat /%{_libdir}/aspell-%{aspell_ver}/standard.kbd | \
	perl -p -e 's/ty/tz/; s/yu/zu/; s/zx/yx/' \
	> ${RPM_BUILD_ROOT}/%{_libdir}/aspell-%{aspell_ver}/qwertz.kbd
fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Copyright README*
%{_libdir}/aspell-%{aspell_ver}/*




%changelog

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.1
+ Revision: 123337
- Import aspell-nds

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01.0-3mdv2007.1
- use the mkrel macro
- disable debug packages

* Thu Feb 17 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-2mdk
- added missing qwertz.kbd file

* Wed Feb 16 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 0.01.0-1mdk
- first version

